Bug 1424526 - vtun: FTBFS in rawhide
Summary: vtun: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vtun
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gabriel Somlo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-02-17 17:25 UTC by Fedora Release Engineering
Modified: 2017-11-11 02:51 UTC (History)
1 user (show)

Fixed In Version: vtun-3.0.4-1.fc26 vtun-3.0.4-5.fc26 vtun-3.0.4-5.el7 vtun-3.0.4-5.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-01 00:01:44 UTC
Type: ---


Attachments (Terms of Use)
build.log (48.37 KB, text/plain)
2017-02-17 17:25 UTC, Fedora Release Engineering
no flags Details
root.log (85.78 KB, text/plain)
2017-02-17 17:25 UTC, Fedora Release Engineering
no flags Details
state.log (611 bytes, text/plain)
2017-02-17 17:25 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2017-02-17 17:25:40 UTC
Your package vtun failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17792571

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 17:25:45 UTC
Created attachment 1254838 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 17:25:48 UTC
Created attachment 1254839 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 17:25:50 UTC
Created attachment 1254840 [details]
state.log

Comment 4 Fedora End Of Life 2017-02-28 12:19:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Fedora Update System 2017-03-22 13:28:41 UTC
vtun-3.0.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c96426bef5

Comment 6 Fedora Update System 2017-03-22 15:29:38 UTC
vtun-3.0.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c96426bef5

Comment 7 Fedora Update System 2017-04-01 17:26:48 UTC
vtun-3.0.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Gabriel Somlo 2017-10-11 18:01:13 UTC
just a quick follow-up: the openssl out-of-tree patch I used to build against openssl1.1 never worked properly, and segfaulted when one attempted to use it. Instead, I'm building against compat-openssl1.0 and will leave it to upstream to fix openssl1.1 compatibility.

Comment 9 Fedora Update System 2017-10-11 18:11:38 UTC
vtun-3.0.4-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4853fd2ed8

Comment 10 Fedora Update System 2017-10-11 18:12:17 UTC
vtun-3.0.4-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-019aa5febe

Comment 11 Fedora Update System 2017-10-13 04:19:29 UTC
vtun-3.0.4-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fd12483a2d

Comment 12 Fedora Update System 2017-10-13 04:22:58 UTC
vtun-3.0.4-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-019aa5febe

Comment 13 Fedora Update System 2017-10-13 06:23:08 UTC
vtun-3.0.4-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4853fd2ed8

Comment 14 Fedora Update System 2017-11-01 00:01:44 UTC
vtun-3.0.4-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-11-01 00:17:29 UTC
vtun-3.0.4-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-11-11 02:51:21 UTC
vtun-3.0.4-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.